## org.apache.cocoon.processor.xsp.language
Interface XSPPreprocessor

All Known Implementing Classes:
  XSPJavaPreprocessor

public interface XSPPreprocessor

Version:
  $Revision: 1.4 $ $Date: 2000/02/13 18:29:36 $
Author:
  Ricardo Rocha

Method Summary
`org.w3c.dom.Document` `preprocess(org.w3c.dom.Document document, java.util.Dictionary parameters)`

Method Detail

### preprocess

    public org.w3c.dom.Document preprocess(org.w3c.dom.Document document,
                                           java.util.Dictionary parameters)
                                    throws java.lang.Exception

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.